Node.js:Socket.io 0.9.17 – 带宽使用

我正在使用Node.js(v0.10.29)和Socket.io(v0.9.17)。 我无法将Socket.io升级到v1.0.6,因为我需要与Android设备进行通信,目前似乎还没有任何一个解决scheme可以更新到Socket.io v1.0。

我的问题是,使用Socket.io v0.9.17时,使用的带宽非常高。 作为一个例子,对于相同的数据量,Socket.io v0.9.17使用800KB,当Socket.io v1.0.6使用8KB …

有没有人知道为什么? 我能做些什么来避免这种情况?

谢谢

       

网上收集的解决方案 "Node.js:Socket.io 0.9.17 – 带宽使用"